lhxmodel::Sensor_4_0_3::MetaData Struct Reference

Sensor's self describing data. More...

`import"LhxSensor.idl";`

## Public Attributes

sensors::Sensor_4_0_3 TypeSpec | type
| Sensor type, reading type and unit.
int | numDecDigits
| Number of significant decimal digits. More...
double | numRangeMin
| Smallest possible Numeric Reading Value.
double | numRangeMax
| Largest possible Numeric Reading Value.
double | numThresholdMin
| Smallest possible Numeric Reading Threshold Value.
double | numThresholdMax
| Largest possible Numeric Reading Threshold Value.
string | label
| The sensor label.
string | id
| Descriptive ID of sensor containing label.

## Detailed Description

Sensor's self describing data.

## Member Data Documentation

## numDecDigits

int lhxmodel::Sensor_4_0_3::MetaData::numDecDigits

Number of significant decimal digits.

Indicates how many digits should be displayed to the right of the decimal point. I.e. double values must be rounded with this precision.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/LhxSensor.idl